bzero(3)

NAME
bzero - byte-array zero

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <strings.h>  // see memory.h(3head)

void bzero(size_t n;
           void a[n], size_t n);

DESCRIPTION
This function writes zeros ('\0') to the memory starting at the location pointed to by a.

It is equivalent to

    memset(a, '\0', n)

RETURN VALUE
None.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

STANDARDS
None.

HISTORY
4.3BSD.

Marked as LEGACY in POSIX.1-2001. Removed in POSIX.1-2008.

CAVEATS
If the compiler deduces that the operation is unnecessary, it may totally or partially remove the call. To ensure the zeroing happens regardless of optimizations, use explicit_bzero(3).

SEE ALSO
bstring(3), memory.h(3head), explicit_zero(3), memset(3)